> For the complete documentation index, see [llms.txt](https://docs.intellizence.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intellizence.com/dataset-api-v1.0/ipo-dataset-api.md).

# IPO Dataset API

POST /api/v1/dataset/ipo

**Request Body**

```
{
    "startDate": "start_date",
    "endDate": "end_date",
    "companyIds": ["company_id"],
    "industries": ["industry"],
    "industrySegments": ["segment"],
    "countries": ["country"],
    "limit": "limit"
}
```

<table data-header-hidden><thead><tr><th></th><th width="230.33333333333331"></th><th></th></tr></thead><tbody><tr><td>Param</td><td>Mandatory</td><td>Description</td></tr><tr><td>startDate</td><td>N</td><td>It will return records from Start Date (Last Modified Date) in format DD/MM/YYYY.</td></tr><tr><td>endDate</td><td>N</td><td>It will return records till End Date (Last Modified Date) in format DD/MM/YYYY.</td></tr><tr><td>companyIds</td><td>N</td><td>Array of Intellizence Company IDs. It will return records for these Company IDs. If Company IDs is not passed, records for all the tracked companies will be returned.</td></tr><tr><td>industries</td><td>N</td><td>Array of Industries.</td></tr><tr><td>industrySegments</td><td>N</td><td>Array of industry segments.</td></tr><tr><td>countries</td><td>N</td><td>Array of Company Headquarter countries.</td></tr><tr><td>limit</td><td>N</td><td>Default value is 100 records. If Start Date and End Date are not passed, it will return latest 'N' records depending on limit value.</td></tr></tbody></table>

**Response Body**

```
[
    {
        "id": "66e14ab6e5d1ce5775a6a21a",
        "announcedDate": "23/08/2024",
        "company": {
            "id": "IN128442",
            "name": "Jiangsu Yunxuetang Network Technology",
            "domain": "www.yxt.com",
            "industries": [
                "education"
            ],
            "industrySegments": [],
            "location": "Suzhou,Jiangsu,China",
            "ticker": [],
            "stockExchange": null,
            "type": "Private"
        },
        "listingDate": "23/08/2024",
        "ipostatus": "Listed",
        "stockExchange": "Nasdaq Capital",
        "amountRaised": 8500000,
        "currency": "USD",
        "stockSymbol": "RITR",
        "url": "https://www.nasdaq.com/market-activity/ipos/overview?dealId=1302334-110754",
        "title": "YXT.COM GROUP HOLDING Ltd - IPO",
        "lastModified": "20/09/2024"
    }
]
```
